Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ttsolver.model
Class RoomLocation

    java.lang.Object
      ttsolver.model.RoomLocation

    public class RoomLocation

extends Object

Room part of placement.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`RoomLocation(String id, String name, String bldgId, int preference, long size)` Constructor
`RoomLocation(String id, String name, String bldgId, int preference, long size, long x, long y)` Constructor

Method Summary
`String` | `getBuildingId()` Building id
`String` | `getId()` Room id
`String` | `getName()` Room name
`long` | `getPosX()` X-position of the building
`long` | `getPosY()` Y-position of the building
`int` | `getPreference()` Room preference
`long` | `getRoomSize()` Room size
`void` | `setCoordinates(long x, long y)` Position of the building
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoomLocation

    public RoomLocation(String id,
                        String name,
                        String bldgId,
                        int preference,
                        long size,
                        long x,
                        long y)

  Constructor

  Parameters:
    `id` - room id
    `name` - room name
    `bldgId` - building id
    `preference` - soft preference
    `size` - room size
    `x` - x-position of the building
    `y` - y-position of the building

### RoomLocation

    public RoomLocation(String id,
                        String name,
                        String bldgId,
                        int preference,
                        long size)

  Constructor

  Parameters:
    `id` - room id
    `name` - room name
    `bldgId` - building id
    `preference` - soft preference
    `size` - room size

Method Detail

### getId

    public String getId()

  Room id

### getBuildingId

    public String getBuildingId()

  Building id

### getName

    public String getName()

  Room name

### getPreference

    public int getPreference()

  Room preference

### getRoomSize

    public long getRoomSize()

  Room size

### setCoordinates

    public void setCoordinates(long x,
                               long y)

  Position of the building

### getPosX

    public long getPosX()

  X-position of the building

### getPosY

    public long getPosY()

  Y-position of the building

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller